function [wav_fnames]=get_WavList(wavpath);
%FUNCTION [WAV_FNAMES]=GET_WAVlIST(WAVPATH);
% Get list of wavs contained in the path specified
%
% Input
% wavpath: path of the directory containing the wav files
%
% Output
% wav_fnames: cell that contains the wav file names
%

% Project: Speech Processing Demos
% Course: Speech & Pattern Recognition
%
% Updated: Nov.15, 2004
% Created: Oct. 29, 2004
% Katsamanis Nassos, Pitsikalis Vassilis
% email: [nkatsam,vpitsik]@cs.ntua.gr
% http://cvsp.cs.ntua.gr
% ECE, NTUA

% Initialize cell
wav_fnames={};     
% Construct the path as a string , plus the globbing wildchar
wavpath_dir_str=[wavpath,filesep,'*.wav'];
% use MATLABS dir function that returns a structure
wav_dir=dir(wavpath_dir_str);
% deal something to everyone 
[wav_fnames{1:length(wav_dir),1}]=deal(wav_dir.name);
