function label=getfield_byfname(wavname,index,recsep,labelinds)
% GETFIELD_BYFNAME get a field bylist of records which are joined by recsep
% label=getfield_byfname(wavname,index,recsep,labelinds)
%
% Input 
% wavname: cell with filenames 
% index: index of filename in the cell to process 
% recsep: delimiter
% labelinds:  index of the field to get 

% Project: Speech Processing Demos
% Course: Speech & Pattern Recognition
%
% Updated: Nov.15, 2004
% Created: Oct. 29, 2004
% Katsamanis Nassos, Pitsikalis Vassilis
% email: [nkatsam,vpitsik]@cs.ntua.gr
% http://cvsp.cs.ntua.gr
% ECE, NTUA

recind=findstr(wavname{index},recsep); % find the indeces in the string
if (~isempty(recind))
    label=wavname{index}(recind(labelinds)+1:recind(labelinds+1)-1);
else
    label = 'unknown';
end

